Skip to main content
Version: 2.0

List the documents in the corpus

GET 

/v2/corpora/:corpus_key/documents

Lists the documents stored in a corpus. The response includes an overview of document metadata, including document IDs, tables (if table extraction is enabled), and pagination details.

Use this endpoint to review the documents indexed so far and to decide which documents to remove. It helps you manage the document lifecycle in your environment.

You can catalog and inventory large amounts of data, and retrieve lists of documents for further analysis. For example, developers can use the metadata to build custom search and filtering capabilities into their applications.

Currently, the Document Admin APIs do not allow you to access the text of your documents.

Request

Responses

The response contains an array of document objects with the matching document IDs, metadata, tables, parts, storage usage, and metadata about the pagination.